=== doc/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html rdoc rdoc-dev
	cd tutorial ; $(MAKE) rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

rdoc:
	$(MAKE) -f Makefile.rdoc

rdoc-dev:
	$(MAKE) -f Makefile.rdoc-dev

install:
	test -d $(DEST_DOC) || $(INSTALLDIR) $(DEST_DOC)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd) $(DEST_DOC)
	cd images ; $(MAKE) $@
	cd tutorial ; $(MAKE) $@
	$(MAKE) $@ -f Makefile.rdoc
	$(MAKE) $@ -f Makefile.rdoc-dev

clean:

clean.all: clean-rd2html clean-rdoc clean-rdoc-dev

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

clean-rdoc:
	$(MAKE) clean -f Makefile.rdoc

clean-rdoc-dev:
	$(MAKE) clean -f Makefile.rdoc-dev
