=== gt4frt/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io/gt4frt
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] Ƽ

INCLUDEFILE = ../Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] 󥯥롼ɥե (Ǥ)
TARGET=gt4

TESTDIR  = ../test
TESTFILES= dc_string_test dc_url_test dc_args_test dc_hash_test \
	histinquire histtest histaxis histget histcopy
TESTS    = $(TESTFILES:%=../test/%)

# End Settings  [JA] ܤޤ
######################################################################


all: $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

install: $(TARGET)frt$(gt4binsuffix)
	test -d $(DEST_BIN) || $(INSTALLDIR) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)frt$(gt4binsuffix) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)config$(gt4binsuffix) $(DEST_BIN)

$(TARGET)frt$(gt4binsuffix): gt4frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4frtgen.sh $@
	chmod +x $(TARGET)frt$(gt4binsuffix)

$(TARGET)config$(gt4binsuffix): gt4configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config$(gt4binsuffix)"
	LIBNAME=$(LIBNAME) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt4configgen.sh $@
	chmod +x $(TARGET)config$(gt4binsuffix)

clean:
	-rm -f *~ $(TARGET)frt$(gt4binsuffix) $(TARGET)config$(gt4binsuffix)

test-installed: test-build test

test-installed-c: test-c

test-build: work.pcl
	@for i in $(TESTS) ; do \
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -c $$i.f90 -o $$i.o ;\
	  $(DEST_BIN)/$(TARGET)frt$(gt4binsuffix) -o $$i $$i.o ; \
	done

test:
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    echo "cd $(TESTDIR)" ; cd $(TESTDIR) ; \
	    echo "make $@"       ; make $@ ; \
	    echo "make clean"    ; make clean ; \
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   First, change directory to $(GT4DIR)/test ." ;\
	    echo "   Secondly, submit ..." ;\
	    echo "          $(TESTFILES)," ;\
	    echo "" ;\
	    echo "   Thirdly, change directory to $(GT4DIR) ." ;\
	    echo "   Last \"make test-installed-c\"" ;\
	    echo "" ;\
	    exit 1 ;\
	fi
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

test-c:
	cd $(TESTDIR) ; make $@ || exit 1 ; make clean
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

work.pcl: Makefile ../Config.mk
	sh ../chkpcl.sh $(SYSFFLAGS) $(INCLUDE_GT)
	mv work.pcl ../test/
