=== doc/tutorial/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.2 2006/01/21 12:17:24 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20060618 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

GT4FRT=$(DEST_BIN)/gt4frt$(gt4binsuffix)
ISPDIR=-L/usr/lib
ISPLIB=-lisp-ffc5

######################################################################
#== Set variables
#

all:

gt4frt: gt4frtcheck
	$(GT4FRT) diffusion_1.f90
	./a.out
	$(GT4FRT) diffusion_2.f90
	./a.out
	$(GT4FRT) -c c2pack.f90 $(ISPDIR) $(ISPLIB)
	$(GT4FRT) benard_1.f90 c2pack.o $(ISPDIR) $(ISPLIB)
	./a.out
	$(GT4FRT) benard_2.f90 c2pack.o $(ISPDIR) $(ISPLIB)
	./a.out
	$(GT4FRT) diff77.f
	./a.out

gt4frtcheck:
	@if ! which $(GT4FRT) > /dev/null 2>&1 ; then \
	    echo "" ;\
	    echo "   Error: \"$(GT4FRT)\" is not installed yet." ;\
	    echo "" ;\
	    exit 1 ;\
	fi

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC)/tutorial || $(INSTALLDIR) $(DEST_DOC)/tutorial
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC)/tutorial

clean:
	-$(RM) a.out *.o *.mod

clean.nc:
	-$(RM) *.nc

clean.all: clean-rd2html

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html
