=== debian/changelog ===
gt4f90io-g95 (20060618+20060616) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Jun 2006 15:24:11 +0900

Local variables:
mode: change-log
End:
