=== debian/changelog ===
gt4f90io-g95 (20060619+20060625) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 26 Jun 2006 03:45:05 +0900

gt4f90io-g95 (20060619+20060623) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 24 Jun 2006 03:45:05 +0900

gt4f90io-g95 (20060619+20060622) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 23 Jun 2006 03:45:04 +0900

gt4f90io-g95 (20060619+20060616) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Jun 2006 16:15:25 +0900
