=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.14 2006/06/16 12:39:27 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060619 $
+# Version::   $Id: Makefile,v 1.15 2006/06/27 08:06:40 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060627 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -62,6 +62,7 @@
 	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
 	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
+	      MKDIR=$(MKDIR) \
 		 sh $$i.sh || \
 	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
 	    done ;\
@@ -84,6 +85,7 @@
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
+	      MKDIR=$(MKDIR) \
 		 sh $$i.sh || \
 	     echo "  $$i.sh: Error (continue mandatorily)";\
 	done
