=== debian/changelog ===
gt4f90io-g95 (20060627+20060717) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 18 Jul 2006 03:45:06 +0900

gt4f90io-g95 (20060627+20060711) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 12 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060627+20060710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 11 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060627+20060705) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  6 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060627+20060702) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060627+20060630) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Jul 2006 03:45:08 +0900

gt4f90io-g95 (20060627+20060628) unstable; urgency=low

  * New upstream release

 -- Morikawa Yasuhiro <morikawa@studenno.kugi.kyoto-u.ac.jp>  Thu, 29 Jun 2006 12:12:22 +0900

gt4f90io-g95 (20060627+20060626) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 28 Jun 2006 03:45:05 +0900
