=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
 # Version::   $Id: Makefile,v 1.8 2006/01/21 12:17:20 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #
