=== gt4frt/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/gt4frt
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
-# Version::   $Id: Makefile,v 1.4 2006/06/11 06:03:47 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.5 2006/07/17 18:14:33 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../COPYRIGHT]
 #
@@ -45,7 +45,9 @@
 		SYSLDFLAGS="$(SYSLDFLAGS)" \
 		SYSLDLIBS="$(SYSLDLIBS)" \
 		SYSFFLAGS="$(SYSFFLAGS)" \
-		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
+		F90MODTYPE=$(F90MODTYPE) \
+		MODPATHFLAG=$(MODPATHFLAG) \
+		FC=$(FC) \
 		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
 		sh ./gt4frtgen.sh $@
 	chmod +x $(TARGET)frt$(gt4binsuffix)
@@ -57,7 +59,9 @@
 		SYSLDFLAGS="$(SYSLDFLAGS)" \
 		SYSLDLIBS="$(SYSLDLIBS)" \
 		SYSFFLAGS="$(SYSFFLAGS)" \
-		F90MODTYPE=$(F90MODTYPE) FC=$(FC) \
+		F90MODTYPE=$(F90MODTYPE) \
+		MODPATHFLAG=$(MODPATHFLAG) \
+		FC=$(FC) \
 		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
 		sh ./gt4configgen.sh $@
 	chmod +x $(TARGET)config$(gt4binsuffix)
