=== src/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io documentation
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.24 2006/06/15 14:53:41 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.26 2006/07/19 09:58:10 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -127,6 +127,7 @@
 	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
 	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
 	$(INSTALL) $(TARGET) $(DEST_LIB)
+	$(RANLIB) $(DEST_LIB)/$(TARGET)
 	$(INSTALL) $(MODS) $(MODINCS) $(DEST_INC)
 	if [ X$(F90MODTYPE) = X"intel.d" ]; then \
 	    $(INSTALL) work.pc $(DEST_INC)/work.pc ;\
@@ -244,7 +245,7 @@
 
 depend: f90depend.pl Makefile
 	@if which $(PERL) > /dev/null 2>&1 ; then \
-	    echo $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
+	    echo "$(PERL) f90depend.pl -Xdcl.o *.f90 > depend" ;\
 	    $(PERL) f90depend.pl -Xdcl.o *.f90 > depend ;\
 	fi
