=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.15 2006/06/27 08:06:40 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20060627 $
+# Version::   $Id: Makefile,v 1.17 2006/07/17 18:14:34 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20060719-1 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -16,8 +16,8 @@
 INCLUDEFILE = ../Config.mk
 include $(INCLUDEFILE)
 
-INCLUDE_GT=-I../src     # Intel Fortran, Fujitsu Fortran
-#INCLUDE_GT=-M../src     # SunStudio, Fujitsu Fortran
+INCLUDE_GT=$(MODPATHFLAG)../src
+#INCLUDE_GT=-M../src     # SunStudio
 LIBGT4=../src/lib$(LIBNAME).a
 
 TARGETS=histtest histaxis histget histcopy #histauto
@@ -25,11 +25,12 @@
 TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
 	histinquire
 
-CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* *.nc \
+CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* \
 	xhisttest/xhisttest?.nc xhisttest/xhisttest*.cdl \
 	xhistaxis/xhistaxis?.nc xhistaxis/xhistaxis*.cdl \
 	xhistget/xhistget?.nc xhistget/xhistgetdif?.cdl \
 	xhistcopy/xhistcopy?.nc xhistcopy/xhistcopy*.cdl \
+	xhistinquire?.nc \
 	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
 	xhistauto/tmp?_????.nc
