=== debian/changelog ===
gt4f90io-g95 (20060719-1+20060721) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 23 Jul 2006 13:28:37 +0900

gt4f90io-g95 (20060719-1+20060717) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 20 Jul 2006 12:05:07 +0900
