=== debian/changelog ===
gt4f90io-g95 (20060725+20060816) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 18 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060815) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 17 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060809) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 11 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060807) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed,  9 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060802) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  4 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060801) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  3 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060727) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 28 Jul 2006 03:45:05 +0900

gt4f90io-g95 (20060725+20060726) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 27 Jul 2006 03:45:04 +0900

gt4f90io-g95 (20060725+20060724) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 26 Jul 2006 03:45:05 +0900
