=== debian/changelog ===
gt4f90io-g95 (20060818+20060824) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 26 Aug 2006 03:45:04 +0900

gt4f90io-g95 (20060818+20060823) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 25 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060822) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 23 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060820) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 22 Aug 2006 03:45:05 +0900

gt4f90io-g95 (20060818+20060816) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 19 Aug 2006 03:45:06 +0900
