=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Package: gt4f90io-g95
 Architecture: i386
 Depends: g95, netcdf-g95
-Suggests:
+Suggests: netcdf-bin
 Recommends:
 Description: gt4f90io: Fortran90 netCDF I/O library with gtool4 convention
- built with GNU Fortran 95 compiler
+ built with G95 Fortran compiler
  gt4f90io is a Fortran90 library software to read and write netCDF file
  with gtool4 convention, which is developed by GFD Dennou Club gtool4 project.
  Please visit gtool4 project web site, http://www.gfd-dennou.org/library/gtool4.
